
function compressPhoto(obj){
  const image = require('@system.image')
  image.getImageInfo({
      uri: obj.uri,
      success: function(data){
          var width = data.width > data.height ? data.width : data.height
          width = width > obj.width ? width : obj.width
          const ratio = width / obj.width
          if(ratio > 1){
              image.compressImage({
                  uri: data.uri,
                  ratio: ratio,
                  success: function(data){
                      success(obj, data)
                  },
                  fail: function(data, code){
                    fail(obj, '压缩失败: ' + code)
                  }
              })
          }else{
            success(obj, data)
          }
      },
      fail: function(data, code){
        fail(obj, '压缩失败: ' + code)
      }
  })
}

function success(obj, data) {
    if (obj.success instanceof Function) {
        obj.success(data)
    }
}

function fail(obj, err) {
    if (obj.fail instanceof Function) {
        obj.fail(err)
    } else {
        prompt.showToast({
            message: err,
        })
    }
}

export default {
  compressPhoto
}
